SearchArgumentImpl (Hive Storage API 2.1.1-pre-orc API)
Date: 2016-10-19

org.apache.hadoop.hive.ql.io.sarg

## Class SearchArgumentImpl

- java.lang.Object
- - org.apache.hadoop.hive.ql.io.sarg.SearchArgumentImpl

- All Implemented Interfaces:
    SearchArgument

      public final class SearchArgumentImpl
      extends Object
      implements SearchArgument

  The implementation of SearchArguments. Visible for testing only.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SearchArgumentImpl.PredicateLeafImpl`

    - ### Nested classes/interfaces inherited from interface org.apache.hadoop.hive.ql.io.sarg.SearchArgument

      `SearchArgument.Builder, SearchArgument.TruthValue`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SearchArgument.TruthValue` | `evaluate(SearchArgument.TruthValue[] leaves)` Evaluate the entire predicate based on the values for the leaf predicates.
    `ExpressionTree` | `getExpression()` Get the expression tree.
    `List<PredicateLeaf>` | `getLeaves()` Get the leaf predicates that are required to evaluate the predicate.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getLeaves

          public List<PredicateLeaf> getLeaves()

      Description copied from interface: `SearchArgument`
      Get the leaf predicates that are required to evaluate the predicate. The list will have the duplicates removed.
      Specified by:
        `getLeaves` in interface `SearchArgument`
      Returns:
        the list of leaf predicates

    - #### evaluate

          public SearchArgument.TruthValue evaluate(SearchArgument.TruthValue[] leaves)

      Description copied from interface: `SearchArgument`
      Evaluate the entire predicate based on the values for the leaf predicates.
      Specified by:
        `evaluate` in interface `SearchArgument`
      Parameters:
        `leaves` - the value of each leaf predicate
      Returns:
        the value of hte entire predicate

    - #### getExpression

          public ExpressionTree getExpression()

      Description copied from interface: `SearchArgument`
      Get the expression tree. This should only needed for file formats that need to translate the expression to an internal form.
      Specified by:
        `getExpression` in interface `SearchArgument`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2016 The Apache Software Foundation. All rights reserved.